www.cendio.com
Bug 1762 - Link the PulseAudio daemon statically.
: Link the PulseAudio daemon statically.
Status: CLOSED WONTFIX
: ThinLinc
Sound
: trunk
: PC All
: P2 Enhancement
: 4.1.0
Assigned To:
:
:
:
: 29
  Show dependency treegraph
 
Reported: 2006-01-02 09:29 by
Modified: 2012-11-28 09:47 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From cendio 2006-01-02 09:29:50
The current polypaudio requires a whole bunch of shared objects to function. It
should be possible to link all of this into one, static blob.
------- Comment #1 From cendio 2006-01-03 17:59:50 -------
This now works. As part of the work I also added the option of selecting which
modules get "preloaded" (i.e. statically linked).

As usual, I found a bug in libtool whilst doing this. Current versions require
the .la files at runtime for preloading to work. A one-line fix to libtool
removed this limitation. Patch sent on to libtool mailing list. Keeping the bug
opened until the patch is accepted.
------- Comment #2 From cendio 2006-01-27 17:32:14 -------
The initial patch wasn't accepted. A new one has been sent for review.
------- Comment #3 From cendio 2012-11-14 11:22:19 -------
We've stopped using the preload functionality, so we don't care about libtool
bugs anymore.